<?php

namespace Acelle\Controllers;

use GuzzleHttp\Psr7\Request;
use Acelle\Models\Connection;
use Acelle\Models\Job;
use Acelle\Models\Log as SyncLog;
use Acelle\Library\WpHelper;
use Acelle\Library\LogTable;

class ConnectionController
{
    /**
     * Show the post for the given id.
     */
    public function index($id)
    {
        $connection = Connection::first();
        $cronjob = WpHelper::cronjob_path();
        if (array_key_exists('edit', $_GET)) {
            return view('@Acelle/connection/edit.twig', ['connection' => $connection, 'cronjob' => $cronjob]);
        } else {
            return view('@Acelle/connection/index.twig', ['connection' => $connection, 'cronjob' => $cronjob]);
        }
    }

    /**
     * Show the post for the given id.
     */
    public function log($id)
    {
        // index content
        $table = new LogTable();
        $table->prepare_items();

        return view('@Acelle/connection/log.twig', [
            'paging' => paginate_links(['total' => SyncLog::count(), 'current' => $_GET['page']]),
            'table' => $table,
            'current_page' => $_GET['page'],
        ]);
    }

    public function test()
    {
        global $wpdb;
        /***
        $j = Job::first();
        var_dump($j->getUser());
        $j->sync();
        var_dump(\Acelle\Library\WpHelper::cronjob_path());
        **/

        var_dump($wpdb->prefix);
        return 0;
    }
}
