<?php

namespace Acelle\Controllers;

use GuzzleHttp\Psr7\Request;
use Acelle\Models\Connection;
use Acelle\Models\Job;
use Acelle\Models\Queue;
use Acelle\Library\WpHelper;
use Acelle\Library\JobTable;

class JobController
{
    /**
     * Job listing page
     */
    public function index($id)
    {
        // index content
        $table = new JobTable();
        $notices = $table->process_bulk_action();
        $table->prepare_items();
        $lastUpdate = Job::getLastUpdate();

        return view('@Acelle/job/index.twig', [
            'paging' => paginate_links(['total' => Job::count(), 'current' => $_GET['page']]),
            'table' => $table,
            'current_page' => $_GET['page'],
            'lastUpdate' => $lastUpdate,
            'notices' => $notices
        ]);
    }
}
