<?php

namespace Acelle\Controllers;

use GuzzleHttp\Psr7\Request;
use Acelle\Models\Connection;
use Acelle\Models\Job;
use Acelle\Models\Log as SyncLog;
use Acelle\Library\WpHelper;
use Acelle\Library\LogTable;

class LogController
{
    /**
     * Log listing page
     */
    public function index($id)
    {
        // index content
        $table = new LogTable();
        $notices = $table->process_bulk_action();
        $table->prepare_items();
        $lastUpdate = SyncLog::getLastUpdate();

        return view('@Acelle/log/index.twig', [
            'paging' => paginate_links(['total' => SyncLog::count(), 'current' => $_GET['page']]),
            'table' => $table,
            'current_page' => $_GET['page'],
            'lastUpdate' => $lastUpdate,
            'notices' => $notices
        ]);
    }
}
